[arch-commits] CVS update of extra/network/fcpci (3 files)

Tobias Powalowski tpowa at archlinux.org
Fri Jan 25 17:42:57 UTC 2008


    Date: Friday, January 25, 2008 @ 12:42:57
  Author: tpowa
    Path: /home/cvs-extra/extra/network/fcpci

   Added: kernel-2.6.24.patch (1.1)
Modified: PKGBUILD (1.38 -> 1.39) fcpci.install (1.12 -> 1.13)

upgpkg: update to new .24 kernel series


---------------------+
 PKGBUILD            |   46 ++++++++++++----------------------------------
 fcpci.install       |    4 ++--
 kernel-2.6.24.patch |   14 ++++++++++++++
 3 files changed, 28 insertions(+), 36 deletions(-)


Index: extra/network/fcpci/PKGBUILD
diff -u extra/network/fcpci/PKGBUILD:1.38 extra/network/fcpci/PKGBUILD:1.39
--- extra/network/fcpci/PKGBUILD:1.38	Mon Nov 26 11:23:09 2007
+++ extra/network/fcpci/PKGBUILD	Fri Jan 25 12:42:57 2008
@@ -1,32 +1,22 @@
-# $Id: PKGBUILD,v 1.38 2007/11/26 16:23:09 tpowa Exp $
+# $Id: PKGBUILD,v 1.39 2008/01/25 17:42:57 tpowa Exp $
 #Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=fcpci
 pkgver=31107
-pkgrel=38
-_kernver=2.6.23-ARCH
+pkgrel=39
+_kernver=2.6.24-ARCH
 pkgdesc="AVM ISDN driver for FRITZ PCI isdn cards. For stock arch 2.6 kernel."
 arch=(i686 x86_64)
 license=('custom:"AVM"' 'LGPL')
 url="http://www.avm.de"
-depends=('capi4k-utils' 'kernel26>=2.6.23.8-2')
+depends=('capi4k-utils' 'kernel26>=2.6.24-1' 'kernel26<=2.6.25-0')
 if [ "$CARCH" = "i686" ]; then
   source=(ftp://ftp.avm.de/cardware/fritzcrd.pci/linux/suse.93/fcpci-suse93-3.11-07.tar.gz \
-	kernel-2.6.19.patch atomic.patch kernel-2.6.20.patch kernel-2.6.22.patch)
-  md5sums=('3ee301b5d0e8df9e4b915af58b725556'
-         '5c63dc9df0810bb1ba85f3425abaa0ed'
-         '258b13bb2ac46960b9c91635f02cd080'
-         '890ec6e1219a3a4bae77f5815c3ed40d'
-         '4f4f03630ed994b16b4cd167f090a116')
+	kernel-2.6.19.patch atomic.patch kernel-2.6.20.patch kernel-2.6.22.patch kernel-2.6.24.patch string.h)
 fi
 if [ "$CARCH" = "x86_64" ]; then
   source=(ftp://ftp.avm.de/cardware/fritzcrd.pci/linux_64bit/suse.10.0/fcpci-suse10.0-64bit-3.11-07.tar.gz \
-	kernel-2.6.19.patch atomic.patch kernel-2.6.20.patch kernel-2.6.22.patch)
-  md5sums=('c5595478515d19436ab20b42e1549de0'
-         '5c63dc9df0810bb1ba85f3425abaa0ed'
-         '258b13bb2ac46960b9c91635f02cd080'
-         '890ec6e1219a3a4bae77f5815c3ed40d'
-         '4f4f03630ed994b16b4cd167f090a116')
+	kernel-2.6.19.patch atomic.patch kernel-2.6.20.patch kernel-2.6.22.patch kernel-2.6.24.patch string64.h)
 fi
 install=fcpci.install
 
@@ -36,25 +26,12 @@
   patch -Np0 -i ../../kernel-2.6.19.patch || return 1
   patch -Np0 -i ../../kernel-2.6.20.patch || return 1
   patch -Np0 -i ../../kernel-2.6.22.patch || return 1
+  patch -Np0 -i ../../kernel-2.6.24.patch || return 1
+  [ "$CARCH" = "i686" ] && cp $startdir/src/string.h .
+  [ "$CARCH" = "x86_64" ] && cp $startdir/src/string64.h string.h
+  sed -i 's#<linux/string.h>#"string.h"#' driver.c main.c tools.c fcpcmcia_cs.c
+  sed -i 's#tools.h#tools.h string.h#' Makefile
   cd ..
-  # fix from Karsten Keil <kkeil at suse.de>
-  # in refernece to bug: http://bugs.archlinux.org/task/8511
-  OBJ=$(find . -name '*lib.o')
-  for i in $OBJ; do
-    mv $i $i.old
-    objcopy -L memcmp \
-            -L memcpy \
-            -L memmove \
-            -L memset \
-            -L strcat \
-            -L strcmp \
-            -L strcpy \
-            -L strlen \
-            -L strncmp \
-            -L strncpy \
-    $i.old $i
-  done
-
   make LIBDIR=$startdir/pkg/var/lib/fritz KDIR=/lib/modules/${_kernver}/build all || return 1
   mkdir -p $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/isdn/hardware/avm/
   cp $startdir/src/fritz/src/fcpci.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/isdn/hardware/avm/
@@ -62,3 +39,4 @@
   # build module dependencies
   sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/fcpci.install
 }
+
Index: extra/network/fcpci/fcpci.install
diff -u extra/network/fcpci/fcpci.install:1.12 extra/network/fcpci/fcpci.install:1.13
--- extra/network/fcpci/fcpci.install:1.12	Wed Oct 10 16:54:25 2007
+++ extra/network/fcpci/fcpci.install	Fri Jan 25 12:42:57 2008
@@ -7,7 +7,7 @@
   sed -i -e 's/#fcpci		-	-	-	-	-	-/fcpci		-	-	-	-	-	-/g' /etc/capi.conf
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.23-ARCH
+  KERNEL_VERSION=2.6.24-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
@@ -22,7 +22,7 @@
   sed -i -e 's/fcpci		-	-	-	-	-	-/#fcpci		-	-	-	-	-	-/g' /etc/capi.conf
     # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.23-ARCH
+  KERNEL_VERSION=2.6.24-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
Index: extra/network/fcpci/kernel-2.6.24.patch
diff -u /dev/null extra/network/fcpci/kernel-2.6.24.patch:1.1
--- /dev/null	Fri Jan 25 12:42:57 2008
+++ extra/network/fcpci/kernel-2.6.24.patch	Fri Jan 25 12:42:57 2008
@@ -0,0 +1,14 @@
+--- driver.c~	2007-10-30 13:13:47.000000000 +0100
++++ driver.c	2007-10-30 13:16:52.000000000 +0100
+@@ -374,9 +374,9 @@
+ 			card->irq, 
+ 			&irq_handler, 
+ #if defined (__fcpci__) || defined (__fcpcmcia__)
+-			SA_INTERRUPT | SA_SHIRQ, 
++			IRQF_DISABLED | IRQF_SHARED, 
+ #else
+-			SA_INTERRUPT, 
++			IRQF_DISABLED, 
+ #endif
+ 			TARGET, 
+ 			card




More information about the arch-commits mailing list